Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Enumerations
peripheral Module Reference

Peripheral Devices. More...

## Classes
struct | Address
| peripheral device position based address More...
interface | BatteryPoweredDevicePackage
struct | Device
| A peripheral device is the collection of. More...
struct | DeviceID
| peripheral device identification More...
interface | DeviceManager
| Peripheral Device Manager. More...
interface | DeviceSlot
| Peripheral Device Slot. More...
interface | DoorHandleControllerPackage
interface | G2Production
interface | GatewaySensorManager
| Gateway Sensor Configuration Interface. More...
interface | ModbusCfg
interface | Package
struct | PackageInfo
| Peripheral device package information. More...
struct | PosElement
| peripheral device position element, list forms position More...
interface | SensorHub
| Sensor Hub interface. More...

## Enumerations
enum | PortType { ONBOARD , DEV_PORT , ONEWIRE_HUB_PORT , ONEWIRE_CHAIN_POS , REMOTE_HUB_PORT , WIRELESS_BRIDGE , WIRELESS_DEVICE , UNSPECIFIED , GATEWAY_SENSOR }
| peripheral device port types More...

## Detailed Description

Peripheral Devices.

## Enumeration Type Documentation

## ◆ PortType

enum peripheral::PortType

peripheral device port types

Enumerator
ONBOARD | a built in, inaccessible port
DEV_PORT | a sensor port on the device
ONEWIRE_HUB_PORT | a port on a Hub
ONEWIRE_CHAIN_POS | a chain position
REMOTE_HUB_PORT | a RS485 remote hub port
WIRELESS_BRIDGE | a wireless bridge, e.g. usb dongle
WIRELESS_DEVICE | a wireless device
UNSPECIFIED | device type is unknown
GATEWAY_SENSOR | a gateway sensor